<?php

/*
	WordPress Framework, activation  v0.1
	developer: Perecedero (Ivan Lansky) perecedero@gmail.com
*/


	function on_activation ()
	{
		global $pressbackup;

		//options
		$preferences['pressbackup']['configured']=0;

		$preferences['pressbackup']['backup']['time']=24;
		$preferences['pressbackup']['backup']['copies']=5;
		$preferences['pressbackup']['backup']['type']='0';

		$preferences['pressbackup']['backup_advanced']['activated'] = false;
		$preferences['pressbackup']['backup_advanced']['db']= array('time' => null, 'last_date' => null);
		$preferences['pressbackup']['backup_advanced']['plugins']= array('time' => null, 'last_date' => null);
		$preferences['pressbackup']['backup_advanced']['themes']= array('time' => null, 'last_date' => null);
		$preferences['pressbackup']['backup_advanced']['uploads']= array('time' => null, 'last_date' => null);

		$preferences['pressbackup']['s3']['credential']='';
		$preferences['pressbackup']['s3']['bucket_name'] = '';
		$preferences['pressbackup']['s3']['region']=false;

		$preferences['pressbackup']['pressbackuppro']['credential']='';

		$preferences['pressbackup']['pressexpress']['credential']='';

		$preferences['pressbackup']['dropbox']['credential'] = '';

		$preferences['pressbackup']['local']['path']='';

		$preferences['pressbackup']['compatibility']['background']=10;
		$preferences['pressbackup']['compatibility']['zip'] = 10;

		update_option('pressbackup_installed','1');
		update_option('pressbackup_check_cron', 'no checked');
		update_option('pressbackup_preferences',$preferences);

		$pressbackup->import('Pro.php');
		$pbp = new pressbackup();
		$pbp->wasInstall();
	}

	function on_deactivation ()
	{
		global $pressbackup;
		$pressbackup->import('schedule_functions.php');

		$ps = new pressbackup_schedule();
		$ps->remove_schedule();

		delete_option('pressbackup_installed');
		delete_option('pressbackup_preferences');
		delete_option('pressbackup_check_cron');
	}


?>
